﻿using Infragistics.Controls.Editors;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication1.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new VM();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var vm = this.DataContext;
        }

        private void XamComboEditor_Loaded(object sender, RoutedEventArgs e)
        {
            XamComboEditor XCE = sender as XamComboEditor;

            if (XCE != null)
            {
                DataRecord DR = XCE.DataContext as DataRecord;

                if (DR.DataItem != null)
                {
                    ParameterUi PU = DR.DataItem as ParameterUi;
                    if (PU.Self.SelectedSaIds != null)
                    {
                        if (BindingOperations.GetBinding(sender as DependencyObject, XamComboEditor.SelectedItemsProperty) == null)
                        {
                            BindingOperations.SetBinding(sender as DependencyObject, XamComboEditor.SelectedItemsProperty, new Binding("DataItem.Self.SelectedSaIds"));
                        }
                    }
                }             
            }
        }
    }
}
