﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using WpfApplication1.Data;

namespace WpfApplication1.Converter
{
    public class MyValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string val = "";
            var col = value as ObservableCollection<object>;
            if (col != null)
            {
                foreach (var collectionObject in col)
                {
                    var saId = collectionObject as SaId;
                    if (saId != null)
                    {
                        if (!string.IsNullOrWhiteSpace(val))
                        {
                            val += ", ";
                        }
                        val += saId.Name;
                    }
                }
            }
            return val;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}
