﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApplication1.Data
{
    public class ParameterUiItem
    {
        public ParameterUiItem()
        {
            SelectedSaIds = new ObservableCollection<object>();
        }

        public int Id { get; set; }
        public string Name { get; set; }
        public string DbName { get; set; }
        public ObservableCollection<object> SelectedSaIds { get; set; }
        public bool IsActive { get; set; }

        private ParameterUnit _unit;
        public ParameterUnit Unit 
        { 
            get
            {
                return _unit;
            }
            set
            {
                _unit = value;
            }
        }

        private ParameterUnit _dbUnit;
        public ParameterUnit DbUnit
        {
            get
            {
                return _dbUnit;
            }
            set
            {
                _dbUnit = value;
            }
        }
    }
}
